curl -X POST 'https://foodsoul.ru/api/crm/v2/sites_settings.update_html?branch_id=8895' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: lt' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":"all_site_desktop_head","html":"<meta name='\''robots'\'' content='\''noindex, nofollow'\''>","excludes":["html"]}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.ru/api/crm/v2/sites_settings.update_html?branch_id=8895', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'lt',
'role' => 'partner',
],
'json' => [
'id' => 'all_site_desktop_head',
'html' => '<meta name=\'robots\' content=\'noindex, nofollow\'>',
'excludes' => [
'html',
],
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.ru/api/crm/v2/sites_settings.update_html?branch_id=8895", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "lt",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": "all_site_desktop_head",
"html": "<meta name='robots' content='noindex, nofollow'>",
"excludes": [
"html"
]
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.ru/api/crm/v2/sites_settings.update_html?branch_id=8895",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "lt",
"role": "partner",
},
json={
"id": "all_site_desktop_head",
"html": "<meta name='robots' content='noindex, nofollow'>",
"excludes": [
"html",
],
},
)
data = response.json()
Atsakymas 200
{
"status": "success",
"data": {}
}
Užklausos siunčiamos į foodsoul.ru — tai šio portalo priegloba, kitos pasirinkti negalima.